local config = {}
local path = "Interface\\Addons\\SimBar\\Bar" 

function NAMEPLATE_STYLE_DELEGATE(unit)
	if unit.isElite then return true else return false end
end

function NAMEPLATE_SPECIALTEXT_DELEGATE(unit)
	return unit.level
end

config.healthborder = {
	texture 		= path.."\\Empty",
	glowtexture 			= path.."\\SimBarGlow",
	elitetexture		 	= path.."\\SimBarElite",
	width = 96,
	height = 16,
	x = 0,
	y = -1,
    anchor = "CENTER",
}

config.threatborder = {
	texture =					path.."\\SimBarThreat",
	elitetexture =			path.."\\SimBarThreat",
	width = 96,
	height = 16,
	x = 0,
	y = -8,
	anchor = "BOTTOM",
    }

config.name = {
	typeface =					path.."\\TinDog.ttf",
	size = 8,
	width = 90,
	height = 9,
	x = 0,
	y = 0,
	align = "CENTER",
	anchor = "TOP",
	--shadow = true,
	vertical = "BOTTOM",
}

config.level = {
	typeface =					path.."\\TinDog.ttf",
	size = 8,
	width = 30,
	height = 9,
	x = -53,
 	y = -6,
	align = "CENTER",
	anchor = "TOP",
    shadow = true,
	vertical = "BOTTOM",
}

config.healthbar = {
	texture =					 path.."\\SimBarHealth",
	height = 16,
	width = 96,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.castbar = {
	texture =					path.."\\SimBarCast",
	height = 16,
	width = 96,
	x = 0,
	y = 2,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.castnostop = {
	texture = 				path.."\\SimBarLock",
	width = 96,
	height = 16,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
}
    
config.castborder = {
	texture =					path.."\\Empty",
	width = 128,
	height = 64,
	x = 0,
	y = 0,
	anchor = "CENTER",
}
config.specialText = {
	typeface =					path.."\\TinDog.ttf",
	size = 10,
	width = 74,
	height = 9,
	x = 0,
	y = 2,
	align = "RIGHT",
	anchor = "BOTTOMRIGHT",
	vertical = "TOP",
}

config.spellicon = {
	width = 10,
	height = 10,
	x = 52,
 	y = -6,
	anchor = "TOP",
}

config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
}

config.frame = {
	width = 96,
	height = 16,
	x = 0,
	y = 15,
}

config.options = {
	showEliteColor = true,
	showLevelColorOnTexture = true,
	showLevel = true,
	showName = true,
	showSpecialText = false,
}

--[[if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["SkullSkin"] = config

local f = CreateFrame("Frame", "AutoNameplates")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:SetScript("OnEvent", function(self, event, ...)
  self[event]()
end)


function f:PLAYER_REGEN_ENABLED()
	SetCVar("nameplateShowEnemies", 0)
end

function f:PLAYER_REGEN_DISABLED()
 	SetCVar("nameplateShowEnemies", 1)
end]]--


TidyPlatesThemeList["SimBar"]["Bar"] = {}
TidyPlatesThemeList["SimBar"]["Bar"] = config



