local config = {}
local path = "Interface\\Addons\\SimBar\\Blank" 

config.healthborder = {
	texture 	        	= path.."\\BlankBorder",
	glowtexture 			= path.."\\Empty",
	elitetexture		 	= path.."\\Empty",
	width = 64,
	height = 8,
	x = 0,
	y = 0,
}

config.threatborder = {
	texture =					path.."\\Empty",
	elitetexture =			path.."\\Empty",
	width = 64,
	height = 32,
	x = 0,
	y = 25,
	anchor = "CENTER",
    }

config.healthbar = {
	texture 				= path.."\\Blank",
	height = 8,
	width = 64,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.castbar = {
	texture 				= path.."\\Empty",
	height = 7,
	width = 114,
	x = 17,
	y = -20,
	anchor = "CENTER",
}

config.spellicon = {
	size = 16,
	x = -53,
	y = -15,
}

config.name = {
	typeface =					path.."\\TinDog.ttf",
	size = 8,
	width = 70,
	height = 8,
	x = 0,
	y = 5,
	align = "CENTER",
	anchor = "TOP",
	shadow = true,
}

config.level = {
	typeface =					path.."\\TinDog.ttf",
	size = 8,
	width = 30,
	height = 9,
	x = -60,
	y = -8,
	align = "RIGHT",
	anchor = "TOP",
}


config.raidicon = {
	width = 18,
	height = 18,
	x = 0,
	y = 18,
	anchor = "TOP",
}

config.frame = {
	width = 64,
	height = 8,
	x = 0,
	y = 0,
}

config.options = {
	
	showLevel = false,
	showName = true,
	showSpecialText = false,
}

TidyPlatesThemeList["SimBar"]["Blank"] = {}
TidyPlatesThemeList["SimBar"]["Blank"] = config




