
if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["SimBar"] = {}

local function StyleDelegate(unit)
	if unit.isDangerous or tonumber(unit.level) > 10 then return "Bar"
	else return "Blank" end
end

TidyPlatesThemeList["SimBar"].SetStyle = StyleDelegate

local f = CreateFrame("Frame", "AutoNameplates")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:SetScript("OnEvent", function(self, event, ...)
  self[event]()
end)


function f:PLAYER_REGEN_ENABLED()
	SetCVar("nameplateShowEnemies", 0)
end

function f:PLAYER_REGEN_DISABLED()
 	SetCVar("nameplateShowEnemies", 1)
end


------------------------------------------------------------------
-- Automatically turn on Threat Display
SetCVar("threatWarning", 3)